package controllers

import (
	"eta/eta_forum_admin/models"
	"eta/eta_forum_admin/services"
	"eta/eta_forum_admin/utils"
)

// EdbInfoController 数据管理
type EdbInfoController struct {
	BaseAuthController
}

// TraceEdbInfo
// @Title 指标溯源接口
// @Description 指标溯源接口
// @Param   UniqueCode   query   int  true       "指标唯一编码,如果是管理后台访问，传固定字符串:7c69b590249049942070ae9dcd5bf6dc"
// @Success 200 {object} data_manage.ChartListResp
// @router /trace [get]
func (this *EdbInfoController) TraceEdbInfo() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()
	sysUser := this.SysUser
	if sysUser == nil {
		br.Msg = "请登录"
		br.ErrMsg = "请登录，SysUser Is Empty"
		br.Ret = 408
		return
	}
	//edbInfoId, _ := this.GetInt("EdbInfoId")
	//if edbInfoId <= 0 {
	//	br.Msg = "参数错误"
	//	br.ErrMsg = "参数错误"
	//	return
	//}

	uniqueCode := this.GetString("UniqueCode")
	if uniqueCode == `` {
		br.Msg = "参数错误"
		br.ErrMsg = "参数错误"
		return
	}

	//  根据UniqueCode获取指标信息
	edbInfo, err := models.GetEdbInfoByUniqueCode(uniqueCode)
	if err != nil {
		br.Msg = "获取失败"
		br.Msg = "获取失败,Err:" + err.Error()
		if err.Error() == utils.ErrNoRow() {
			br.Msg = "指标不存在"
		}
		return
	}

	resp, err := services.TraceEdbInfoByEdbInfoId(edbInfo.EdbInfoId)
	if err != nil {
		br.Msg = "获取失败"
		br.Msg = "获取失败,Err:" + err.Error()
		return
	}
	br.Ret = 200
	br.Data = resp
	br.Success = true
	br.Msg = "查询成功"
}
