package controllers

import (
	"encoding/json"
	"eta/eta_forum_admin/models"
	"eta/eta_forum_admin/models/system"
	"eta/eta_forum_admin/services"
	"eta/eta_forum_admin/utils"
	"fmt"
)

type LoginController struct {
	BaseCommonController
}

// AuthCodeLogin
// @Title 编码登录
// @Description 编码登录
// @Success 200 Ret=200 操作成功
// @router /auth_code_login [post]
func (this *LoginController) AuthCodeLogin() {
	br := new(models.BaseResponse).Init()
	defer func() {
		if br.ErrMsg == "" {
			br.IsSendEmail = false
		}
		this.Data["json"] = br
		this.ServeJSON()
	}()
	var req system.AuthCodeLoginReq
	err := json.Unmarshal(this.Ctx.Input.RequestBody, &req)
	if err != nil {
		br.Msg = "参数解析异常！"
		br.ErrMsg = "参数解析失败，Err:" + err.Error()
		return
	}
	key := fmt.Sprint(utils.CACHE_FORUM_AUTH_CODE_PREFIX, req.AuthCode)
	adminNameRet := utils.Rc.Get(key)
	if adminNameRet == nil {
		br.Msg = "获取失败, 无效编码"
		return
	}
	// 清除AuthCode
	defer func() {
		//_ = utils.Rc.Delete(key)
	}()
	adminName := fmt.Sprintf("%s", adminNameRet)
	data, e := services.ThirdLogin(adminName)
	if e != nil {
		br.Msg = "获取失败"
		br.ErrMsg = "获取登录Token失败, Err: " + e.Error()
		return
	}

	br.Data = data
	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
}
