// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"eta/eta_forum_admin/controllers"
	"eta/eta_forum_admin/controllers/eta_business"
	"eta/eta_forum_admin/controllers/eta_training_video"
	"eta/eta_forum_admin/controllers/help_doc"
	"github.com/beego/beego/v2/server/web"
)

func init() {
	ns := web.NewNamespace("/v1",
		web.NSNamespace("/chart",
			web.NSInclude(
				&controllers.ChartInfoController{},
				&controllers.ChartClassifyController{},
			),
		),
		web.NSNamespace("/edb",
			web.NSInclude(
				&controllers.EdbInfoController{},
			),
		),
		web.NSNamespace("/login",
			web.NSInclude(
				&controllers.LoginController{},
			),
		),
		web.NSNamespace("/admin",
			web.NSInclude(
				&controllers.AdminController{},
			),
		),
		web.NSNamespace("/system",
			web.NSInclude(
				&controllers.SysRoleController{},
				&controllers.SysMenuController{},
			),
		),
		web.NSNamespace("/eta_business",
			web.NSInclude(
				&eta_business.EtaBusinessController{},
				&eta_business.EtaBusinessMenuController{},
				&eta_business.EtaBusinessUserController{},
			),
		),
		web.NSNamespace("/eta_trial",
			web.NSInclude(
				&controllers.ETATrialController{},
			),
		),
		web.NSNamespace("/eta_version_update_log",
			web.NSInclude(
				&controllers.EtaVersionUpdateLogController{},
			),
		),
		web.NSNamespace("/help_doc",
			web.NSInclude(
				&help_doc.HelpDocClassifyController{},
				&help_doc.HelpDocController{},
			),
		),
		web.NSNamespace("/chart_collect",
			web.NSInclude(
				&controllers.ChartCollectStatController{},
			),
		),
		web.NSNamespace("/resource",
			web.NSInclude(
				&controllers.ResourceController{},
			),
		),
		web.NSNamespace("/config",
			web.NSInclude(
				&controllers.CrmConfigController{},
			),
		),

		web.NSNamespace("/eta_training_video",
			web.NSInclude(
				&eta_training_video.EtaTrainingVideoController{},
				&eta_training_video.EtaTrainingVideoClassifyController{},
				&eta_training_video.EtaTrainingVideoTagController{},
			),
		),
		web.NSNamespace("/custom",
			web.NSInclude(
				&controllers.CompanyIndustryController{},
				&controllers.CompanySellerController{},
			),
		),
	)
	web.AddNamespace(ns)
}
